---
title: "Look up an OLC VNUM"
description: "Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session."
type: reference
audience: operators
verified: v0.1.8
canonical: https://darkpawns.org/docs/reference/api/admin/operations/lookup-olc-vnum/
---

[Documentation](/docs/) / [Reference](/docs/reference/)

# Look up an OLC VNUM

Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.

GET

/admin/olc/lookup/{kind}/{vnum}/name

FetchcURL

```
const url = 'https://example.com/admin/olc/lookup/example/example/name';const options = {method: 'GET'};
try {  const response = await fetch(url, options);  const data = await response.json();  console.log(data);} catch (error) {  console.error(error);}
```

```
curl --request GET \  --url https://example.com/admin/olc/lookup/example/example/name
```

Returns existence and a display name for one VNUM without opening a draft or taking a claim.

## Parameters

### Path Parameters

**kind**

required

OLC kind: room, mob, obj, or shop.

string

OLC kind: room, mob, obj, or shop.

**vnum**

required

VNUM to check.

string

VNUM to check.

## Responses

### 200

OK

application/json

object

**exists**

required

boolean

**kind**

required

string

**name**

required

string

**vnum**

required

integer format: int64

**zone\_number**

required

integer format: int64

#### Example generated

```
{  "exists": true,  "kind": "example",  "name": "example",  "vnum": 1,  "zone_number": 1}
```

### default

Error

application/problem+json

object

**detail**

A human-readable explanation specific to this occurrence of the problem.

string

**errors**

Optional list of individual error details

Array<object> | null

object

**location**

Where the error occurred, e.g. ‘body.items\[3\].tags’ or ‘path.thing-id’

string

**message**

Error message text

string

**value**

The value at the given location

**instance**

A URI reference that identifies the specific occurrence of the problem.

string format: uri

**status**

HTTP status code

integer format: int64

**title**

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string

**type**

A URI reference to human-readable documentation for the error.

string format: uri

default: about:blank

#### Example

```
{  "detail": "Property foo is required but is missing.",  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "about:blank"}
```
